Bug 1830160 - e2e-gcp-op: backport makefile fail fast
Summary: e2e-gcp-op: backport makefile fail fast
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.z
Assignee: Kirsten Garrison
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1837574
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-30 23:50 UTC by Kirsten Garrison
Modified: 2020-06-29 15:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1837574 (view as bug list)
Environment:
Last Closed: 2020-06-29 15:33:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1684 None closed [release-4.4] Bug 1830160: Makefile: add -failfast to e2e-op 2020-06-22 20:10:17 UTC
Red Hat Product Errata RHBA-2020:2713 None None None 2020-06-29 15:34:11 UTC

Description Kirsten Garrison 2020-04-30 23:50:04 UTC
In https://github.com/openshift/machine-config-operator/pull/1683

we added -failfast will stop test execution at the first failure.  As e2e-gcp is very long tests (2.5 hours) would like to backport this to 4.4.z.. In the last weeks the pain of waiting for such longs tests to maybe fail and retest made it difficult to quickly backport critical fixes.

Comment 5 Micah Abbott 2020-06-22 20:25:12 UTC
This is a fix to the CI job itself, so there is nothing to verify in the MCO code itself.

Picking out a recent PR to the `release-4.4` branch - https://github.com/openshift/machine-config-operator/pull/1844

The `gcp-op` job - https://deck-ci.apps.ci.l2s4.p1.openshiftapps.com/view/gcs/origin-ci-test/pr-logs/pull/openshift_machine-config-operator/1844/pull-ci-openshift-machine-config-operator-master-e2e-gcp-op/1273866582988165120

Checking the invocation of the job:

```
$ curl -sL https://storage.googleapis.com/origin-ci-test/pr-logs/pull/openshift_machine-config-operator/1844/pull-ci-openshift-machine-config-operator-master-e2e-gcp-op/1273866582988165120/artifacts/e2e-gcp-op/container-logs/test.log | grep failfast
go test -failfast -timeout 120m -v${WHAT:+ -run="$WHAT"} ./test/e2e/
```

The `failfast` flag is there, so marking VERIFIED.

Comment 7 errata-xmlrpc 2020-06-29 15:33:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2713


Note You need to log in before you can comment on or make changes to this bug.